Subject: Re: Crash on git log with -L and -G on file rename

From: Junio C Hamano <[email-masked]>
Date: Tue, 03 Mar 2026 18:06:17 -0800

"Kristoffer Haugsbakk" <[email-masked]> writes:

> I was able to reproduce this on `master`, `next`, and `seen`.
>
> • master: 50d063e3 (The 10th batch, 2026-03-03)
> • seen: 62670724 (Merge branch 'ng/submodule-default-remote' into seen,
>   2026-03-03)
> • 87284122 (Sync with 'master', 2026-03-03)

Not surprised, as I do not recall we made any changes to code paths
around either -L nor -G for quite some time.  I wouldn't be
surprised if this were broken exactly the same way since the
inception of the -L option, but bisecting might shed some lights on
the root cause, perhaps?

Thanks.